openssl_x509_free
openssl_x509_read
OpenSSL Functions
PHP Manual

# openssl_x509_parse

(PHP 4 >= 4.0.6, PHP 5)

openssl_x509_parse — Parse an X509 certificate and return the information as an array

### Description

array openssl_x509_parse ( mixed `$x509cert` [, bool `$shortnames` = true ] )

openssl_x509_parse() returns information about the supplied `x509cert`, including fields such as subject name, issuer name, purposes, valid from and valid to dates etc.

### Parameters

`x509cert`

`shortnames`

  `shortnames` controls how the data is indexed in the array - if `shortnames` is `TRUE` (the default) then fields will be indexed with the short name form, otherwise, the long name form will be used - e.g.: CN is the shortname form of commonName.

### Return Values

The structure of the returned data is (deliberately) not yet documented, as it is still subject to change.

openssl_x509_free
openssl_x509_read
OpenSSL Functions
PHP Manual